
public class Testy {
    public static void main(String[] args) {
//        boolean test1 = testujZakres();
        boolean test2 = testujNiezmienialnosc();

        System.out.println("----- WYNIKI: -----");

//        if (test1) System.out.println("Test zakresu zaliczony.");
//        else System.out.println("Test zakresu niezaliczony.");

        if (test2) System.out.println("Test niezmienialnosci zaliczony.");
        else System.out.println("Test niezmienialnosci niezaliczony.");
    }

    static boolean testujZakres(){
        Kosc kosc = new Kosc();
        for (int i = 0; i <= 10000; i++) {
            kosc.rzucKosc();
            System.out.println("Wyrzucono: " + kosc.liczbaOczek);
            if (kosc.liczbaOczek < 1 || kosc.liczbaOczek > 6){
                System.out.println("TEST NIEZALICZONY");
                return false;
            }
        }
        return true;
    }

    static boolean testujNiezmienialnosc(){
        Kosc kosc = new Kosc();
        int pierwotnaWartosc = kosc.liczbaOczek;
        kosc.zablokuj();
        for (int i = 0; i < 1000; i++) {
            kosc.rzucKosc();
            if (pierwotnaWartosc != kosc.liczbaOczek){
                System.out.println("TEST NIEZALICZONY");
                return false;
            }
        }
        return true;
    }
}
